package cn.hnthyy.thmz.service.thmz;

import cn.hnthyy.thmz.entity.thmz.Menu;
import cn.hnthyy.thmz.entity.thmz.Role;
import cn.hnthyy.thmz.vo.RoleVo;

import java.util.List;

/**
 * 角色表
 */
public interface RoleService {
    /**
     * 查询所有有效的角色数据
     *
     * @return
     */
    List<RoleVo> queryAllRole();

    /**
     * 根据单个id查询角色数据
     *
     * @param id
     * @return
     */
    Role queryById(Long id);

    /**
     * 根据id集合查询角色
     *
     * @param ids
     * @return
     */
    List<Role> queryByIds(List<Long> ids);

    /**
     * 新增菜单
     *
     * @param role
     * @return
     */
    int saveRole(Role role);

    /**
     * 删除角色
     *
     * @param id
     * @return
     */
    int removeById(Long id);

    /**
     * 更新角色
     * @param role
     * @return
     */
    int modifyRole(Role role);

}
